/****************
*Toby LI@Aus Electronics Direct *
*info@auselectronicsdirect.com.au
*2017.9.14 *
*Copyright*
****************/
#include "VarSpeedServo.h"
#include <EEPROM.h>


VarSpeedServo servo1;
VarSpeedServo servo2;
VarSpeedServo servo3;
VarSpeedServo servo4;

int potpin1 = 0;//Define the Claw servo potentiometer to port A0
int potpin2 = 1;//Define the Forearm servo potentiometer to port A1
int potpin3 = 2;//Define the Main arm servo potentiometer to port A2
int potpin4 = 3;//Define the Rotation servo potentiometer to port A3


int val1;
int val2;
int val3;
int val4;

byte  mode ;
void setup()
{
  // assign servo to pin numbers, Make sure servo motor cables are connected to same pins
  servo1.attach(11);               
  servo2.attach(10);  
  servo3.attach(9);               
  servo4.attach(6);


  Serial.begin(9600);
}
void loop()
{
    ///// Claw servo Control///////
    val1 = analogRead(potpin1);
    val1 = map (val1, 0, 1023, 90, 160);
    servo1.write(val1);
    delay(10);


    ///// Foream servo Control///////
    val2 = analogRead(potpin2);
    val2 = map (val2, 0, 1023, 0, 179);
    servo2.write(val2);
    delay(10);  

    //////Main arm Control///////
    val3 = analogRead(potpin3);
    val3 = map (val3, 0, 1023, 0, 179);
    servo3.write(val3);
    delay(10);

    //////Rotation arm Control/////// 
    val4 = analogRead(potpin4);
    val4 = map (val4, 0, 1023, 40, 179);
    servo4.write(val4);
    delay(10);
}








